#version 330 core

in vec2 UV;

out vec3 color;

uniform sampler2D resampleTexture;

const float blurSize = 1.0/200.0; // 200 pixels wide
 
void main(){
	//color = max(texture( resampleTexture, UV).xyz - brightPass, vec3(0,0,0)) ;
	//color = texture( resampleTexture, UV).xyz;
	//color = highlights;
	vec3 sum = vec3(0.0);
   // blur in y (vertical)
   // take nine samples, with the distance blurSize between them
   vec3 brightPass = vec3(0.8,0.8,0.8);
   sum += max(texture2D(resampleTexture, vec2(UV.x - 4.0*blurSize, UV.y)).xyz - brightPass, vec3(0,0,0)) * 0.05;
   sum += max(texture2D(resampleTexture, vec2(UV.x - 3.0*blurSize, UV.y)).xyz - brightPass, vec3(0,0,0)) * 0.09;
   sum += max(texture2D(resampleTexture, vec2(UV.x - 2.0*blurSize, UV.y)).xyz - brightPass, vec3(0,0,0)) * 0.12;
   sum += max(texture2D(resampleTexture, vec2(UV.x - blurSize, UV.y)).xyz - brightPass, vec3(0,0,0)) * 0.15;
   sum += max(texture2D(resampleTexture, vec2(UV.x, UV.y)).xyz - brightPass, vec3(0,0,0)) * 0.16;
   sum += max(texture2D(resampleTexture, vec2(UV.x + blurSize, UV.y)).xyz - brightPass, vec3(0,0,0)) * 0.15;
   sum += max(texture2D(resampleTexture, vec2(UV.x + 2.0*blurSize, UV.y)).xyz - brightPass, vec3(0,0,0)) * 0.12;
   sum += max(texture2D(resampleTexture, vec2(UV.x + 3.0*blurSize, UV.y)).xyz - brightPass, vec3(0,0,0)) * 0.09;
   sum += max(texture2D(resampleTexture, vec2(UV.x + 4.0*blurSize, UV.y)).xyz - brightPass, vec3(0,0,0)) * 0.05;
 
   //gl_FragColor = sum;
   color = sum;
}