#version 330 core

in vec2 UV;

out vec3 color;

uniform sampler2D resampleTexture;

const float blurSize = 1.0/150.0; // 200 pixels wide
 
void main(){
	//color = max(texture( resampleTexture, UV).xyz - vec3(0.7,0.7,0.7), vec3(0,0,0)) ;
	//color = texture( resampleTexture, UV).xyz;
	//color = highlights;
	vec3 sum = vec3(0.0);
   // blur in y (vertical)
   // take nine samples, with the distance blurSize between them
   sum += texture2D(resampleTexture, vec2(UV.x, UV.y - 4.0*blurSize)).xyz * 0.05;
   sum += texture2D(resampleTexture, vec2(UV.x, UV.y - 3.0*blurSize)).xyz * 0.09;
   sum += texture2D(resampleTexture, vec2(UV.x, UV.y - 2.0*blurSize)).xyz * 0.12;
   sum += texture2D(resampleTexture, vec2(UV.x, UV.y - blurSize)).xyz * 0.15;
   sum += texture2D(resampleTexture, vec2(UV.x, UV.y)).xyz * 0.16;
   sum += texture2D(resampleTexture, vec2(UV.x, UV.y + blurSize)).xyz * 0.15;
   sum += texture2D(resampleTexture, vec2(UV.x, UV.y + 2.0*blurSize)).xyz * 0.12;
   sum += texture2D(resampleTexture, vec2(UV.x, UV.y + 3.0*blurSize)).xyz * 0.09;
   sum += texture2D(resampleTexture, vec2(UV.x, UV.y + 4.0*blurSize)).xyz * 0.05;
 
   //gl_FragColor = sum;
   color = sum;
}